Store the cluster's scheduled security report
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/security/report-schedule"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/security/report-schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/security/report-schedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"configured": true,
"schedule": {
"frequency": "weekly",
"recipients": [
"<string>"
],
"enabled": true,
"last_sent_at": "2023-11-07T05:31:56Z",
"next_due_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"detail": "<string>"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Security
Store the cluster's scheduled security report
PUT
/
api
/
v1
/
org
/
clusters
/
imported
/
{cluster_id}
/
security
/
report-schedule
Store the cluster's scheduled security report
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/security/report-schedule"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/security/report-schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/security/report-schedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"configured": true,
"schedule": {
"frequency": "weekly",
"recipients": [
"<string>"
],
"enabled": true,
"last_sent_at": "2023-11-07T05:31:56Z",
"next_due_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"detail": "<string>"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json